Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.rss.feed
Class RssFeedImpl

    java.lang.Object
      com.bea.apps.groupspace.rss.feed.RssFeedImpl

All Implemented Interfaces
  Serializable

    public class RssFeedImpl

extends Object
implements Serializable

Wrapper class that holds SyndFeedImpl plus the additional information required by the reader implementation.

See Also
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`RssFeedImpl(URL url, com.sun.syndication.feed.WireFeed wFeed, int defaultTtl)` Construct object that wraps SyndFeedImpl

Method Summary
`URL` | `getFeedUrl()` Returns the URL of the Feed
`com.sun.syndication.feed.synd.SyndFeedImpl` | `getSyndFeed()` Returns a SyndFeedImpl representation of the wireFeed.
`boolean` | `isExpired()` Determines if Feed is expired and needs to be re-retrieved from the live source

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also
  Constants Summary

Constructor Detail

### RssFeedImpl

    public RssFeedImpl(URL url,
                       com.sun.syndication.feed.WireFeed wFeed,
                       int defaultTtl)

  Construct object that wraps SyndFeedImpl

  Parameters
    `url` - URL of the feed
    `wFeed` - WireFeed
    `defaultTtl` - default time to live for this feed

Method Detail

### getFeedUrl

    public URL getFeedUrl()

  Returns the URL of the Feed

  Returns
    Returns the feedUrl.

### isExpired

    public boolean isExpired()

  Determines if Feed is expired and needs to be re-retrieved from the live source

  Returns
    boolean that determines if feed is expired

### getSyndFeed

    public com.sun.syndication.feed.synd.SyndFeedImpl getSyndFeed()

  Returns a SyndFeedImpl representation of the wireFeed.

  Returns
    the SyndFeedImpl for this RssFeedImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved